> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List active sessions



## OpenAPI

````yaml /api-reference/openapi.json get /v1/profile/security/sessions
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/profile/security/sessions:
    get:
      tags:
        - Security
      summary: List active sessions
      operationId: list_sessions_v1_profile_security_sessions_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ActiveSessionResponse'
                type: array
                title: Response List Sessions V1 Profile Security Sessions Get
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    ActiveSessionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip
        browser:
          anyOf:
            - type: string
            - type: 'null'
          title: Browser
        os:
          anyOf:
            - type: string
            - type: 'null'
          title: Os
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        last_activity:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Activity
        is_current:
          type: boolean
          title: Is Current
          default: false
      type: object
      required:
        - id
      title: ActiveSessionResponse
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````